Subject: RE: Posted a new copy of CPE Rtr draft

From: "Wes Beebee (wbeebee)" <[email-masked]>
Date: Fri, 20 Mar 2009 14:19:38 -0400

Now I think I understand your requirements:

1) no PD
2) Only one /64 on the WAN link
3) Disparate link types (can't bridge)
4) Don't want NAT
5) Global communication for one or more LAN links
6) Want to use SLAAC for configuring all addresses

Yes, I agree, in this scenario, you'll need to use ND proxy between the
WAN and LAN links.  We can include this scenario and the need for ND
proxy in the CPE Router specification.

- Wes 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 20, 2009 1:55 PM
To: Hemant Singh (shemant); [email-masked]
Cc: Wes Beebee (wbeebee)
Subject: RE: Posted a new copy of CPE Rtr draft

Hemant,

Well, the RFC4389 describes this functionality of sharing the prefix
between WAN and LAN.

I don't see how the ULAs could be used for global communication by
devices in LAN.

Best regards,

	Teemu

>-----Original Message-----
>From: ext Hemant Singh (shemant) [mailto:[email-masked]]
>Sent: 20 March, 2009 10:39
>To: Savolainen Teemu (Nokia-D-MSW/Tampere); [email-masked]
>Cc: Wes Beebee (wbeebee)
>Subject: RE: Posted a new copy of CPE Rtr draft
>
>Teemu,
>
>If your SP does not dole out a PD to the CPE Rtr and as you say, your 
>common case is just one /64 doled out to the WAN interface with PPP.
>Ok, so if your LAN interface(s) are assigned addresses using SLAAC, 
>since SLAAC needs a /64, how can you possibly use the WAN's /64 to 
>assign addresses to the LAN interface(s)?  It's not possible.  Yes, you

>could run a DHCPv6 server in the device and then sub-delegate the /64.
>Hopefully such a DHCPv6 server sub-delegation is legal in IPv6
>standards...   
>
>Alternatively, you can use ULA for the LAN and use the CPE Rtr as a 
>router between WAN and LAN and not have anything to do with ND Proxy.
>
>Hemant
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>Sent: Friday, March 20, 2009 1:14 PM
>To: Hemant Singh (shemant); [email-masked]
>Cc: Wes Beebee (wbeebee)
>Subject: RE: Posted a new copy of CPE Rtr draft
>
>Thanks for quick reply, I was ok with other things than this one:
>
>>- 7.1. In 3GPP case the /64 prefix is not only for LAN
>interfaces, but
>>also for the WAN interface. Thus I'd rather say:".. across
>multiple LAN
>>interfaces, possibly including WAN interfase as well, and the CPE 
>>router..". Then "..any two LAN interfaces.." -> "..any two 
>>interfaces..". And still later "..if any two disparate LAN 
>>interfaces..." -> "..if any two disparate interfaces..".
>>
>><hs>
>>Disagree. You are suggesting one implement ND Proxy between
>the WAN and
>>LAN interfaces.  For the CPE Rtr, the WAN and LAN
>>interface(s) are two different routing domains - if one can perform 
>>routing between domains, why support ND Proxy?  We are also
>making the
>>last sentence better in section 7.1 as follows:
>
>Yes. That is what has to be done in the link types we have to support. 
>I don't see any other way when there is just single
>/64 received from point-to-point WAN interface (in RA) which has to be 
>enough for numbering the "CPE" itself and all the devices in Ethernet 
>LAN behind.
>Please let me know if there is a better way.
>
>Only alternative I see is to have NAT66 in CPE similar to IPv4 NAT we 
>already have to share the single IPv4 address we get from operator.
>
>It would be very nice if there would be DHCPv6 PD available for "CPE" 
>to ask for prefixes for LAN, but unfortunately that is not always the 
>case.
>
>I think we discussed this in IETF#73 corridor, but I have forgotten 
>details... So maybe I should write a link-type specific document, which

>would describe this behaviour (maybe corner-case from IETF point of 
>view, but the most important use-case from my point of view)? After 
>all, I guess it is better to describe it rather than have it just as 
>implementation-specific design choice?
>
>Best regards,
>
>	Teemu (I will not be able to make the v6ops meeting as I have to
be in 
>shara BOF)

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Fri, 20 Mar 2009 14:23:36 -0400

Wes,

We already catered to Teemu by adding a ND Proxy section to the CPE Rtr
because I understood his case for disparate media.  What we will add to
that section is allow ND Proxy between the WAN and the LAN interfaces
and also list what kind of deployment uses such a ND Proxy by listing
the requirements we came up with below.

So, Teemu, you should be all set now, right?

Thanks,

Hemant

-----Original Message-----
From: Wes Beebee (wbeebee) 
Sent: Friday, March 20, 2009 2:20 PM
To: [email-masked]
Cc: Hemant Singh (shemant); [email-masked]
Subject: RE: Posted a new copy of CPE Rtr draft

1) no PD

- Wes 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 20, 2009 1:55 PM
To: Hemant Singh (shemant); [email-masked]
Cc: Wes Beebee (wbeebee)
Subject: RE: Posted a new copy of CPE Rtr draft

Hemant,

Best regards,

	Teemu

be in

---

From: <[email-masked]>
Date: Fri, 20 Mar 2009 19:29:58 +0100

Wes, Hemant,

I'm very happy! We're all set now. You came up with very good list of requirements.

I think the DHCPv6 PD is superior and should be the recommended solution, but when it is not available (like in current 3GPP cellular network standards), we have need for ND proxy. Please let me know off-list if you need documentation references.

Best regards,

	Teemu

>Sent: 20 March, 2009 11:24
>To: Wes Beebee (wbeebee); Savolainen Teemu (Nokia-D-MSW/Tampere)
>Cc: [email-masked]
>We already catered to Teemu by adding a ND Proxy section to 
>the CPE Rtr because I understood his case for disparate media. 
> What we will add to that section is allow ND Proxy between 
>the WAN and the LAN interfaces and also list what kind of 
>deployment uses such a ND Proxy by listing the requirements we 
>came up with below.
>
>Yes, I agree, in this scenario, you'll need to use ND proxy 
>between the WAN and LAN links.  We can include this scenario 
>and the need for ND proxy in the CPE Router specification.
>
>- Wes 
>
>Well, the RFC4389 describes this functionality of sharing the 
>prefix between WAN and LAN.
>
>I don't see how the ULAs could be used for global 
>communication by devices in LAN.
>
>Best regards,
>
>	Teemu
>